/*
Theme Name:     Armour Chimney Service
Description:    Designed by Spark Marketer for Armour Chimney Service. Custom child theme based on Divi Theme by Elegant Themes.
Author:         Spark Marketer
Template:       Divi

(optional values you can add: Theme URI, Author URI, Version, License, License URI, Tags, Text Domain)
*/

/* 7 Change color of back to top button */
.et_pb_scroll_top.et-pb-icon.et-visible, .et_pb_scroll_top.et-hidden {
background: #333333; /* Change background color here */
color: #ffffff; /* Change arrow color here */
border: 2px solid #333333; /* Change border width, style and color here */
}
/* 15 Secondary menu text alignment to center */
#et-info {
float: none !important;
text-align: center;
}
/* 16 Stop logo from looking jagged on chrome */
#logo {-webkit-transform: initial;}

/* 17 Change the color of bullets on the site to a blue color only on text sections and not on full width menu */
.et_pb_text ul li { list-style-type: none; }
.et_pb_text ul li:before { content: "●"; padding-right: 12px; color: #0c71c3; }

/* 18 Change color of the hamburger menu on tablet and mobile*/
span.mobile_menu_bar:before {
    color: #000000!important;
}
/* 19 Fix the spacing under the breadcrumbs */
.et_pb_text_inner p {
    padding-bottom: 0.5em!important;
}
/*  25 Menu Styling This will target all sub menus - remove padding from all submenus top and bottom*/
#top-menu ul {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
}

/* This will target all sub sub menus (not the top level and first level submenu) and align the top of the sub menu */
#top-menu ul ul{
top: 0;
/* This will reduce the thickness of the top border - top of the sub menus*/
border-top: 0px solid #000000!important;
}

/* This will target all the anchor!important links sub menus and children only when fixed header class comes into picture */
header#main-header.et-fixed-header ul li ul li a{
color: #000000!important;
}
/* Fix the secondary menu text color on fixed navigation if needed */
.et-fixed-header#top-header a {
    color: #ffffff!important;
}
/* This will add a border to all the sub menu line items. */
#top-menu ul.sub-menu li {

    margin:0; padding:0; width:100%;
    text-align:left;
    background-color: #ffffff;
    border-bottom:1px solid #0c71c3;
}

/* The next two widths should be same */
/* Will change the width of submenu */
.nav li ul { width : 260px; }

/* Reduce the padding on each sub menu item */
#top-menu li li a {
padding: 2px 6px;
font-size: 13px;
width: 260px
}

/* This will create a margin between the last most menu item only on desktop*/
@media only screen and (min-width: 1080px){
#et-top-navigation  {
    margin-right: 30px;
}
}

/*Main header primary menu bottom border */
#main-header {border-bottom: 2px solid #000000;}

/* Change distance on top level menu items Increase or Decrease based on items only on desktop*/
@media only screen and (min-width: 1080px) {
ul#top-menu > li.menu-item:not(:last-child) {
    padding-right: 12px !important;
}
}
/* 28 This will resize the secondary menu items and footer to 90 percent on mobile */
@media only screen and ( max-width: 479px ) {
#footer-bottom .et-social-icon a, #footer-info,#top-header, #top-header a, #et-secondary-nav li li a, #top-header .et-social-icon a::before {
    font-size: 90%!important;
}
}

/* 30 Change the mobile menu bottom border */
.et_mobile_menu {
    border-top: 2px solid #000000!important;
}
/* 39 Move footer text to center */
#footer-info { float: none; text-align: center;}

/* 42 You can also reduce font at 1250 and then change to hamburger at 1200 */
@media (max-width: 1250px) {
#top-menu li, #top-menu li a {
font-size: 12px!important;
padding-right: 8px!important;
}
}
/* 42 Setting the breakpoint of the mobile menu this will change the menu to hamburger for any width lower than 1200*/
@media only screen and ( max-width: 1200px ) {
#top-menu-nav, #top-menu {display: none;}
#et_top_search {display: none;}
#et_mobile_nav_menu {display: block;}
}
.et_mobile_menu {   
    overflow-y:scroll!important;
    max-height:80vh!important;
    -overflow-scrolling:touch!important;
    -webkit-overflow-scrolling:touch!important;
}
/* 43 Fix the Blog Page top margin */
#main-content .container {
    padding-top: 20px!important;
}

/* 50 Primary menu Hover color */
#top-menu-nav #top-menu a:hover,
#mobile_menu_slide a:hover {
    color: #0c71c3 !important;
    opacity:1 !important;
}
.et_mobile_menu li a:hover, header#main-header.et-fixed-header ul li ul li a:hover{
color: #0c71c3 !important;
opacity:1 !important;
}
